KRadioAction class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KRadioAction Class Reference

An action that operates like a radio button. More...

`#include <kaction.h>`

Inheritance diagram for KRadioAction:

[legend]
Collaboration diagram for KRadioAction:

[legend]
List of all members.

## Public Member Functions
| KRadioAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| Constructs a radio action with text and potential keyboard accelerator but nothing else.
| KRadioAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KRadioAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KRadioAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KRadioAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KRadioAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KRadioAction (QObject *parent=0, const char *name=0)
## Protected Member Functions
virtual void | slotActivated ()
virtual void | virtual_hook (int id, void *data)

## Detailed Description

An action that operates like a radio button.

At any given time only a single action from the group will be active.

Definition at line 755 of file kaction.h.

## Constructor & Destructor Documentation

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Constructs a radio action with text and potential keyboard accelerator but nothing else. Use this only if you really know what you are doing. Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1367 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1373 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1380 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut = KShortcut(),
|  | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1387 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1394 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KRadioAction::KRadioAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = 0
| ) |

  | Parameters:
  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1402 of file kaction.cpp. References KStdAccel::cut(), and KStdAccel::name().

KRadioAction::KRadioAction | ( | QObject * | parent = 0,
|  | const char * | name = 0
| ) |

  | Parameters:
  parent | This action's parent.
  name | An internal name for this action.
Definition at line 1410 of file kaction.cpp. References KStdAccel::name().

The documentation for this class was generated from the following files:

- kaction.h
- kaction.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:04:17 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001